package com.zehong.system.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 气瓶追溯详情
 */
public class LpgGasBottleFilesBackToVo {

    /**
     * 燃气企业名称
     */
    /** 燃气企业 */
    private String enterpriseName;

    /** 生产(制造单位) */
    private String makeInfo;

    /** 气瓶条码 */
    private String qrcode;

    /** 登记证号 */
    private String regCode;

    /** 产品编号 */
    private String equNo;

    /** 设备类型 */
    private String equType;

    /** 充装介质 */
    private String medium;

    /** 生产日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date makeDate;

    /** 单位内编号 */
    private String selfId;

    /** 压力 */
    private BigDecimal pressure;

    /** 体积 */
    private BigDecimal volume;

    /** 电子标签 */
    private String appId;


    /** 使用单位 */
    private String buildUser;


    /** 录入日期 */
    private Date addTime;

    /** 录入人姓名 */
    private String optName;

    /** 更新日期 */
    private Date upTime;

    /** 状态1 新增、2 修改、-1、删除  （默认1） 3.注销 */
    private String state;

    /** 修改人姓名 */
    private String upOptName;

    /** 上检日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date pchkDate;

    /** 下检日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date nchkDate;

    /** 生产日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date productDate;

    /** 报废日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date discardDate;

    /** 安全评定日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date safeJudgeDate;

    /** 公称压力Mpa */
    private BigDecimal gpressure;

    /** 水试验压力Mpa */
    private BigDecimal wpressure;

    /** 标准重量KG */
    private BigDecimal selfWeight;

    /** 壁厚mm */
    private BigDecimal thickness;

    /** 气瓶许可证号 */
    private String permitNo;

    /** 阀类型名称 */
    private String valveName;

    /** 钢瓶交付文件照片 */
    private String payImage;

    /** 检验质量证明书照片 */
    private String batchImage;

    /** 制造监督检验证书照片 */
    private String deviceImage;

    /** 检验报告照片 */
    private String checkImage;

    /** 产品编号照片 2024-09-13 wh 去掉 界面上不展示了*/
    private String equNoImage;

    /** 单位内编号照片 2024-09-13 wh 去掉 界面上不展示了*/
    private String selfIdImage;

    /** 钢瓶信息照片 */
    private String botImage;

    /** 钢瓶规格名称 */
    private String botSpecName;

    /** 钢瓶型号 */
    private String bottleType;

    /** 已检验次数 */
    private Long inspectedTimes;

    /** 是否专用(1:专用 2：托管) */
    //@Excel(name = "是否专用") 2024-09-13 wh 去掉，感觉监管不需要
    private String isSpecialized;

    /** 阀厂家 */
    private String valveManuFacturer;

    /** 检验标牌(有/无) */
    private String inspectionLabel;

    /** 第三方标签 */
    private String thirdPartyLabel;

    /** 孔洞码 */
    private String holeCode;

    /** 存储类型(气相/液相) */
    private String bottleStorageType;

    private String rowVersion;
    /**
     * 燃气企业id
     */
    private String enterpriseId;


    /**
     * 追溯 详情
     */
    private List<Map<String,Object>> backToMessage;

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getMakeInfo() {
        return makeInfo;
    }

    public void setMakeInfo(String makeInfo) {
        this.makeInfo = makeInfo;
    }

    public String getQrcode() {
        return qrcode;
    }

    public void setQrcode(String qrcode) {
        this.qrcode = qrcode;
    }

    public String getRegCode() {
        return regCode;
    }

    public void setRegCode(String regCode) {
        this.regCode = regCode;
    }

    public String getEquNo() {
        return equNo;
    }

    public void setEquNo(String equNo) {
        this.equNo = equNo;
    }

    public String getEquType() {
        return equType;
    }

    public void setEquType(String equType) {
        this.equType = equType;
    }

    public String getMedium() {
        return medium;
    }

    public void setMedium(String medium) {
        this.medium = medium;
    }

    public Date getMakeDate() {
        return makeDate;
    }

    public void setMakeDate(Date makeDate) {
        this.makeDate = makeDate;
    }

    public String getSelfId() {
        return selfId;
    }

    public void setSelfId(String selfId) {
        this.selfId = selfId;
    }

    public BigDecimal getPressure() {
        return pressure;
    }

    public void setPressure(BigDecimal pressure) {
        this.pressure = pressure;
    }

    public BigDecimal getVolume() {
        return volume;
    }

    public void setVolume(BigDecimal volume) {
        this.volume = volume;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getBuildUser() {
        return buildUser;
    }

    public void setBuildUser(String buildUser) {
        this.buildUser = buildUser;
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public String getOptName() {
        return optName;
    }

    public void setOptName(String optName) {
        this.optName = optName;
    }

    public Date getUpTime() {
        return upTime;
    }

    public void setUpTime(Date upTime) {
        this.upTime = upTime;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getUpOptName() {
        return upOptName;
    }

    public void setUpOptName(String upOptName) {
        this.upOptName = upOptName;
    }

    public Date getPchkDate() {
        return pchkDate;
    }

    public void setPchkDate(Date pchkDate) {
        this.pchkDate = pchkDate;
    }

    public Date getNchkDate() {
        return nchkDate;
    }

    public void setNchkDate(Date nchkDate) {
        this.nchkDate = nchkDate;
    }

    public Date getProductDate() {
        return productDate;
    }

    public void setProductDate(Date productDate) {
        this.productDate = productDate;
    }

    public Date getDiscardDate() {
        return discardDate;
    }

    public void setDiscardDate(Date discardDate) {
        this.discardDate = discardDate;
    }

    public Date getSafeJudgeDate() {
        return safeJudgeDate;
    }

    public void setSafeJudgeDate(Date safeJudgeDate) {
        this.safeJudgeDate = safeJudgeDate;
    }

    public BigDecimal getGpressure() {
        return gpressure;
    }

    public void setGpressure(BigDecimal gpressure) {
        this.gpressure = gpressure;
    }

    public BigDecimal getWpressure() {
        return wpressure;
    }

    public void setWpressure(BigDecimal wpressure) {
        this.wpressure = wpressure;
    }

    public BigDecimal getSelfWeight() {
        return selfWeight;
    }

    public void setSelfWeight(BigDecimal selfWeight) {
        this.selfWeight = selfWeight;
    }

    public BigDecimal getThickness() {
        return thickness;
    }

    public void setThickness(BigDecimal thickness) {
        this.thickness = thickness;
    }

    public String getPermitNo() {
        return permitNo;
    }

    public void setPermitNo(String permitNo) {
        this.permitNo = permitNo;
    }

    public String getValveName() {
        return valveName;
    }

    public void setValveName(String valveName) {
        this.valveName = valveName;
    }

    public String getPayImage() {
        return payImage;
    }

    public void setPayImage(String payImage) {
        this.payImage = payImage;
    }

    public String getBatchImage() {
        return batchImage;
    }

    public void setBatchImage(String batchImage) {
        this.batchImage = batchImage;
    }

    public String getDeviceImage() {
        return deviceImage;
    }

    public void setDeviceImage(String deviceImage) {
        this.deviceImage = deviceImage;
    }

    public String getCheckImage() {
        return checkImage;
    }

    public void setCheckImage(String checkImage) {
        this.checkImage = checkImage;
    }

    public String getEquNoImage() {
        return equNoImage;
    }

    public void setEquNoImage(String equNoImage) {
        this.equNoImage = equNoImage;
    }

    public String getSelfIdImage() {
        return selfIdImage;
    }

    public void setSelfIdImage(String selfIdImage) {
        this.selfIdImage = selfIdImage;
    }

    public String getBotImage() {
        return botImage;
    }

    public void setBotImage(String botImage) {
        this.botImage = botImage;
    }

    public String getBotSpecName() {
        return botSpecName;
    }

    public void setBotSpecName(String botSpecName) {
        this.botSpecName = botSpecName;
    }

    public String getBottleType() {
        return bottleType;
    }

    public void setBottleType(String bottleType) {
        this.bottleType = bottleType;
    }

    public Long getInspectedTimes() {
        return inspectedTimes;
    }

    public void setInspectedTimes(Long inspectedTimes) {
        this.inspectedTimes = inspectedTimes;
    }

    public String getIsSpecialized() {
        return isSpecialized;
    }

    public void setIsSpecialized(String isSpecialized) {
        this.isSpecialized = isSpecialized;
    }

    public String getValveManuFacturer() {
        return valveManuFacturer;
    }

    public void setValveManuFacturer(String valveManuFacturer) {
        this.valveManuFacturer = valveManuFacturer;
    }

    public String getInspectionLabel() {
        return inspectionLabel;
    }

    public void setInspectionLabel(String inspectionLabel) {
        this.inspectionLabel = inspectionLabel;
    }

    public String getThirdPartyLabel() {
        return thirdPartyLabel;
    }

    public void setThirdPartyLabel(String thirdPartyLabel) {
        this.thirdPartyLabel = thirdPartyLabel;
    }

    public String getHoleCode() {
        return holeCode;
    }

    public void setHoleCode(String holeCode) {
        this.holeCode = holeCode;
    }

    public String getBottleStorageType() {
        return bottleStorageType;
    }

    public void setBottleStorageType(String bottleStorageType) {
        this.bottleStorageType = bottleStorageType;
    }

    public String getRowVersion() {
        return rowVersion;
    }

    public void setRowVersion(String rowVersion) {
        this.rowVersion = rowVersion;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public List<Map<String, Object>> getBackToMessage() {
        return backToMessage;
    }

    public void setBackToMessage(List<Map<String, Object>> backToMessage) {
        this.backToMessage = backToMessage;
    }
}
